<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.Start.followers</name>
<version>2</version>
<engineversion>25</engineversion>
<description>Set ore collectors and transfer ores</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;v2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>rewrite&#160;in&#160;progress</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="007" indent=""></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var>Check&#160;state&#160;of&#160;formation&#160;ships</var></comment></line>
<line linenr="009" indent=""><var>$Formation.ships&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;formation&#160;follower&#160;ships</text></line>
<line linenr="010" indent=""><var>if&#160;</var><var>$Formation.ships</var></line>
<line linenr="011" indent="&#160;"><var>$num.formation&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$Formation.ships</var></line>
<line linenr="012" indent="&#160;"><var>while&#160;</var><var>$num.formation</var></line>
<line linenr="013" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>100</var><text>&#160;to&#160;</text><var>150</var><text>&#160;ms</text></line>
<line linenr="014" indent="&#160;&#160;"><text>dec&#160;</text><var>$num.formation&#160;=&#160;</var></line>
<line linenr="015" indent="&#160;&#160;"><var>$follower&#160;=&#160;</var><var>$Formation.ships</var><text>[</text><var>$num.formation</var><text>]</text></line>
<line linenr="016" indent="&#160;&#160;"><var>if&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;is&#160;in&#160;same&#160;sector&#160;as&#160;</text><var>[THIS]</var></line>
<line linenr="017" indent="&#160;&#160;&#160;"></line>
<line linenr="018" indent="&#160;&#160;&#160;"><var>while&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;is&#160;landed</text></line>
<line linenr="019" interruptable="@" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><text>wait&#160;</text><var>1000</var><text>&#160;ms</text></line>
<line linenr="020" indent="&#160;&#160;&#160;&#160;"><var>$formation.ship.leader&#160;=&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;get&#160;formation&#160;leader</text></line>
<line linenr="021" indent="&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$formation.ship.leader</var><text>&#160;</text><var>==</var><text>&#160;</text><var>[THIS]</var></line>
<line linenr="022" indent="&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="023" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="024" indent="&#160;&#160;&#160;"></line>
<line linenr="025" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;can&#160;transport&#160;ware&#160;</text><var>Ore</var></line>
<line linenr="026" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="027" indent=""><comment><text>*&#160;</text><var>Set&#160;follower&#160;cmd&#160;to&#160;collect&#160;if&#160;they&#160;have&#160;ore&#160;collector</var></comment></line>
<line linenr="028" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Ore&#160;Collector</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="029" indent="&#160;&#160;&#160;&#160;&#160;"><var>$command&#160;=&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="030" indent="&#160;&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$command</var><text>&#160;</text><var>==</var><text>&#160;</text><var>COMMAND_FOLLOW</var></line>
<line linenr="031" interruptable="@" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>START&#160;</var><var>$follower&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.AutoM.cmd.CollTrans</call><text>&#160;:&#160;</text><text>&#160;Target&#160;to&#160;transfer&#160;to=</text><var>null</var></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="034" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="035" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="036" indent="&#160;&#160;"><text>end</text></line>
<line linenr="037" indent="&#160;&#160;"></line>
<line linenr="038" indent="&#160;"><text>end</text></line>
<line linenr="039" indent=""><text>end</text></line>
<line linenr="040" indent=""></line>
<line linenr="041" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.Start.followers" /><sval type="int" val="25" /><sval type="string" val="Set ore collectors and transfer ores" /><sval type="int" val="2" /><sval type="int" val="0" /><sval type="array" size="5"><sval type="string" val="Formation.ships" /><sval type="string" val="num.formation" /><sval type="string" val="follower" /><sval type="string" val="formation.ship.leader" /><sval type="string" val="command" /></sval><sval type="array" size="22"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="559" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607357" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610607351" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="4" /><sval type="int" val="150" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="6"><sval type="int" val="733" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610607613" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="4"><sval type="int" val="734" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610608887" /></sval><sval type="array" size="4"><sval type="int" val="105" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="1000" /></sval><sval type="array" size="4"><sval type="int" val="512" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="3" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536867321" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="15" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="617" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610607613" /><sval type="int" val="9" /><sval type="int" val="983040" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="-1610607613" /><sval type="int" val="9" /><sval type="int" val="1048621" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="4" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610607608" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.AutoM.cmd.CollTrans" /><sval type="int" val="-2147483646" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="4" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="int" val="0" /><sval type="array" size="22"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining v2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="rewrite in progress" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="1" /><sval type="int" val="1" /><sval type="string" val="Check state of formation ships" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="15" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val="Set follower cmd to collect if they have ore collector" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
